import { B as BuildOptions, C as CLIOptions } from './css-d7f374b9.js';
export { g as generateIconStaticCSS, a as generateIconVariableCSS, b as generateV1CSS, c as generateV2CSS, d as generateVariableCSS } from './css-d7f374b9.js';
export { APIIconStatic, APIIconVariable, APILicense, APIRegistry, APIVariable, APIv1, APIv2 } from 'google-font-metadata';

declare const create: () => Promise<void>;

interface VerifyProps {
    font?: string;
    ci?: boolean;
    cwd?: string;
}
declare const verify: ({ font, ci, cwd }: VerifyProps) => Promise<void>;

declare const packagerIconsStatic: (id: string, opts: BuildOptions) => Promise<void>;
declare const packagerIconsVariable: (id: string, opts: BuildOptions) => Promise<void>;

declare const packagerV1: (id: string, opts: BuildOptions) => Promise<void>;

declare const packagerV2: (id: string, opts: BuildOptions) => Promise<void>;

declare const packagerVariable: (id: string, opts: BuildOptions) => Promise<void>;

declare const processGoogle: (opts: CLIOptions, fonts?: string[]) => Promise<void>;

export { create, packagerIconsStatic, packagerIconsVariable, packagerV1, packagerV2, packagerVariable, processGoogle, verify };
